package at.cosimo.verocl.metamodel.manager;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.SOURCE)
@Target(value={ElementType.TYPE,ElementType.FIELD,ElementType.LOCAL_VARIABLE,ElementType.METHOD,ElementType.PACKAGE,ElementType.PARAMETER,
		ElementType.TYPE_USE})
public @interface EcoreVM {
	
	public String name();
	
	public String[] ecoreFiles() default {};

}
