
	URI resourceURI = URI.createURI("#ecoreFile");
		mainEcore = resourceSet.createResource(resourceURI);
		try{
			mainEcore.load(new HashMap<>());
		} catch (IOException e) {
			e.printStackTrace();return;
		}
		for (EObject obj: mainEcore.getContents()) {
			if (obj instanceof EPackage) {
				EPackage pkg = (EPackage)obj;
				resourceSet.getPackageRegistry().put(pkg.getNsURI(),pkg);
			}
		}
		
		TreeIterator<EObject> iter = mainEcore.getAllContents();
		while (iter.hasNext()) {
			EObject next = iter.next();
			if (next instanceof EClass) {
				urifragmentToClass.put(next.eResource().getURIFragment(next), (EClass)next);
				try {
					uriToClass.get(next.eResource().getURIFragment(next)).getMethod("setOriginalEClass", EClass.class).
						invoke(null,next);
					uriToClass.get(next.eResource().getURIFragment(next)).getMethod("setVManager", manager.getClass()).
						invoke(null,manager);
				} catch (Exception exp) {
					exp.printStackTrace();
				}
			} else if (next instanceof EEnumLiteral) {
				try {
					EEnum eenum = ((EEnumLiteral) next).getEEnum();
					//System.out.println("Fragment: "+eenum.eResource().getURIFragment(eenum));
					//System.out.println("UriToClass: "+uriToClass.get(eenum.eResource().getURIFragment(eenum)));
					java.lang.reflect.Field field = uriToClass.get(eenum.eResource().getURIFragment(eenum)).getField("nameToValueMap");
					field.setAccessible(true);
					Map ntvm = (Map)field.get(null);
					Object o = ntvm.get(((EEnumLiteral) next).getName());
					java.lang.reflect.Method method = o.getClass().getMethod("addEnumLiteral", int.class, EEnumLiteral.class);
					method.setAccessible(true);
					method.invoke(o, #myNmb, next);
				} catch (Exception exp) {
					exp.printStackTrace();
				}
			}
		}
}

public EObject createFromFragment(EClass cl) {
	return (cl==null)?null:new org.eclipse.emf.ecore.impl.DynamicEObjectImpl(cl);