package at.cosimo.verocl.metamodel;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.emf.ecore.EAttribute;

public class MergeAttribute extends MergeStructuralFeature {

	private Set<EAttribute> baseAttributes = new HashSet<>();
	
	public Set<EAttribute> getBaseAttributes() {
		return baseAttributes;
	}
	
	protected MergeAttribute(MergeManager manager, Set<EAttribute> baseAttributes) {
		super(manager,baseAttributes);
		this.baseAttributes = baseAttributes;
	}
	
	public boolean isID() {
		return iD;
	}

	public void setID(boolean iD) {
		this.iD = iD;
	}

	private boolean iD;

}
