package at.cosimo.verocl.metamodel;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.eclipse.emf.ecore.EGenericType;

public class MergeGenericType extends MergeAny {
	private Set<EGenericType> baseGenericTypes;
	
	public Set<EGenericType> getBaseGenericTypes() {
		return baseGenericTypes;
	}

	public MergeGenericType(MergeManager manager, Set<EGenericType> baseTypes) {
		super(manager);
		this.baseGenericTypes = baseTypes;
	}
	
	public MergeGenericType getUpperBound() {
		return upperBound;
	}
	public void setUpperBound(MergeGenericType upperBound) {
		this.upperBound = upperBound;
	}

	public MergeGenericType getLowerBound() {
		return lowerBound;
	}

	public void setLowerBound(MergeGenericType lowerBound) {
		this.lowerBound = lowerBound;
	}

	public List<MergeGenericType> getTypeArguments() {
		return typeArguments;
	}

	public void setTypeArguments(List<MergeGenericType> typeArguments) {
		this.typeArguments = typeArguments;
	}

	public MergeTypeParameter getTypeParameter() {
		return typeParameter;
	}

	public void setTypeParameter(MergeTypeParameter typeParameter) {
		this.typeParameter = typeParameter;
	}

	private MergeGenericType upperBound;
	private MergeGenericType lowerBound;
	private List<MergeGenericType> typeArguments = new ArrayList<>();
	private MergeTypeParameter typeParameter;
	
}
