package at.cosimo.verocl.metamodel;

import java.util.Set;

import org.eclipse.emf.ecore.ENamedElement;
import org.eclipse.emf.ecore.EPackage;

public class MergePackage extends MergeObject {
	private Set<EPackage> basePackages;
	
	public Set<EPackage> getBasePackages() {
		return basePackages;
	}	

	protected MergePackage(MergeManager manager, Set<EPackage> basePackages) {
		super(manager);
	}
	
	private String nsURI;
	private String nsPrefix;
	private EPackage superPackage;
	
	@Override
	public String getName() {
		//TODO: Besseres Merging
		for (ENamedElement cl: basePackages) {
			if (cl.getName() != null) {
				return cl.getName();
			}
		}
		return null;
	}

}
