package at.cosimo.verocl.metamodel;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EReference;

public class MergeReference extends MergeStructuralFeature {

	private Set<EReference> baseReferences = new HashSet<>();
	
	public Set<EReference> getBaseReferences () {
		return baseReferences;
	}
	
	
	protected MergeReference(MergeManager manager, Set<EReference> baseReferences) {
		super(manager,baseReferences);
		this.baseReferences = baseReferences;
	}
	
	public boolean isContainment() {
		return containment;
	}
	public void setContainment(boolean containment) {
		this.containment = containment;
	}

	public boolean isResolveProxies() {
		return resolveProxies;
	}

	public void setResolveProxies(boolean resolveProxies) {
		this.resolveProxies = resolveProxies;
	}

	public MergeReference getOpposite() {
		return opposite;
	}

	public void setOpposite(MergeReference opposite) {
		this.opposite = opposite;
	}

	private boolean containment;
	private boolean resolveProxies;
	private MergeReference opposite;
	
	
}
