package at.cosimo.verocl.metamodel;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.eclipse.emf.ecore.ENamedElement;
import org.eclipse.emf.ecore.ETypeParameter;

public class MergeTypeParameter extends MergeObject {

	private Set<ETypeParameter> base;
	
	public Set<ETypeParameter> getBaseParameter() {
		return base;
	}
	
	protected MergeTypeParameter(MergeManager manager, Set<ETypeParameter> base) {
		super(manager);
		this.base = base;
	}
	
	private List<MergeGenericType> bounds = new ArrayList<>();
	
	public List<MergeGenericType> getBounds() {
		return bounds;
	}
	
	@Override
	public String getName() {
		//TODO: Besseres Merging
		for (ENamedElement cl: base) {
			if (cl.getName() != null) {
				return cl.getName();
			}
		}
		return null;
	}

}
