package at.cosimo.verocl.metamodel.output;

import java.util.Arrays;
import java.util.Set;

public class Util {

	
	public static void newLine(StringBuilder builder, int indent) {
		builder.append("\n");
		while (indent>0) {
			builder.append("\t");
			--indent;
		}
	}
	
	public static String[] numWhitespaceln = new String[]{"\n","\n\t","\n\t\t","\n\t\t\t","\n\t\t\t\t"};
	
	public static String getNumWhitespaceLn(int num) {
		if (numWhitespaceln.length <= num) {
			int curLen = numWhitespaceln.length;
			numWhitespaceln = Arrays.copyOf(numWhitespaceln, num+2);
			StringBuilder bla = new StringBuilder();
			bla.append("\n");
			for (int i = 0; i < curLen; ++i) {
				bla.append("\t");
			}
			for (int i = curLen; i < numWhitespaceln.length; ++i) {
				numWhitespaceln[i] = bla.toString();
				bla.append("\t");
			}
		}
		return numWhitespaceln[num];
	}
	
	public static String expandNewLine(String string, int indent) {
		return string.replace("\n", getNumWhitespaceLn(indent));
	}
	
	public static String firstUpperCase(String str) {
		if (str.length() < 2) {
			if (str.length() == 1) {
				return str.toUpperCase();
			}
			return str;
		} else {
			return Character.toUpperCase(str.charAt(0))+str.substring(1);
		}
	}
	
	
}
