package #<outputClass.pkg.name>;

import java.util.Collection;

public enum TransferType {IDENTITY_SINGLE, IDENTITY_COL, SINGLETOCOL, COLTOSINGLE;
	public TransferType getInverse() {
		switch (this) {
		case IDENTITY_COL: return IDENTITY_COL;
		case IDENTITY_SINGLE: return IDENTITY_SINGLE;
		case SINGLETOCOL: return COLTOSINGLE;
		case COLTOSINGLE: return SINGLETOCOL;
		default:
			throw new UnsupportedOperationException("This should be implemented: " + this.name());
		}		
	}
	
	public static <T> T getSingleElement(Collection<T> col) {
		if (col.isEmpty()) {
			return null;
		}
		return col.iterator().next();
	}
	
	public static<T> void setSingleElement(Collection<T> col, T value) {
		col.clear();
		if (value != null) {
			col.add(value);
		}
	}
}